package org.greenstone.atlas.server;

import java.util.ArrayList;

public class Word 
{
	private int _classificationIndex = 0;
	private ArrayList<String> _classifications = new ArrayList<String>();
	
	private String _value = null;
	
	public void setValue(String value)
	{
		_value = value;
	}
	
	public void addClassification(String classification)
	{
		_classifications.add(classification);
	}
	
	public String getValue()
	{
		return _value;
	}
	
	public String getNextClassification()
	{
		if(_classificationIndex >= _classifications.size())
		{
			return null;
		}
		return _classifications.get(_classificationIndex++);
	}
}
